Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class Step

    java.lang.Object
      org.apache.commons.jxpath.ri.compiler.Step

    public class Step

extends Object

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`protected` | `Step(int axis, NodeTest nodeTest, Expression[] predicates)` Create a new Step.

Method Summary
`static String` | `axisToString(int axis)` Decode an axis code to its name.
`int` | `getAxis()` Get the axis code.
`NodeTest` | `getNodeTest()` Get the step test.
`Expression[]` | `getPredicates()` Get the predicates.
`boolean` | `isContextDependent()` Learn whether this step contains any predicate that is context dependent.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Step

    protected Step(int axis,
                   NodeTest nodeTest,
                   Expression[] predicates)

  Create a new Step.

  Parameters:
    `axis` - axis code
    `nodeTest` - step test
    `predicates` - predicate expressions

Method Detail

### getAxis

    public int getAxis()

  Get the axis code.

  Returns:
    int

### getNodeTest

    public NodeTest getNodeTest()

  Get the step test.

  Returns:
    NodeTest

### getPredicates

    public Expression[] getPredicates()

  Get the predicates.

  Returns:
    Expression[]

### isContextDependent

    public boolean isContextDependent()

  Learn whether this step contains any predicate that is context dependent.

  Returns:
    boolean

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### axisToString

    public static String axisToString(int axis)

  Decode an axis code to its name.

  Parameters:
    `axis` - int code
  Returns:
    String name.
  See Also:
    `Compiler`, `http://www.w3.org/TR/xpath#axes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.